#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# backup and restore test data
	cp -r $(CURDIR)/t/integration $(CURDIR)/debian/integration.save
	dh_auto_test
	$(RM) -r $(CURDIR)/t/integration
	mv $(CURDIR)/debian/integration.save $(CURDIR)/t/integration/
endif
